Skip to content
You're viewing documentation for v2026.11.5-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Run DCS pre-deploy checks

Run pre-deployment prerequisite checks on candidate DCS servers (advisory).

POST/api/v1/dcs-clusters/preflight
Authorization
tse_sessionAPI key · cookierequired
Request body
requiredapplication/json
server_idsstring[]required
min items 1 · max items 16
Responses
200

OK

serversServerPreflightResult[]required
Show properties
Array of ServerPreflightResult
checksPreflightCheckResult[]required
Show properties
Array of PreflightCheckResult
checkstringrequired
detailstring
statusstringrequired
Allowed:passwarnfail
rolestringrequired
server_idstringrequired
server_namestringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/dcs-clusters/preflight' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "server_ids": [
    "string"
  ]
}'
Response
{
  "servers": [
    {
      "checks": [
        {
          "check": "string",
          "detail": "string",
          "status": "pass"
        }
      ],
      "role": "string",
      "server_id": "string",
      "server_name": "string"
    }
  ]
}